$(document).ready(function () {
    var delaiMesure = 3000;
    var delaiError = 2000;

    $('#jaugetemperature').jqxGauge({
        ranges: [{ startValue: 0, endValue: 15, style: { fill: '#C9C9C9', stroke: '#C9C9C9' }, endWidth: 3, startWidth: 1 },
        { startValue: 15, endValue: 30, style: { fill: '#FCF06A', stroke: '#FCF06A' }, endWidth: 6, startWidth: 3 },
        { startValue: 30, endValue: 40, style: { fill: '#FCA76A', stroke: '#FCA76A' }, endWidth: 9, startWidth: 6 },
        { startValue: 40, endValue: 50, style: { fill: '#FC6A6A', stroke: '#FC6A6A' }, endWidth: 12, startWidth: 9 }],
        ticksMinor: { interval: 1, size: '5%' },
        ticksMajor: { interval: 5, size: '9%' },
        max: 50,
        labels: { interval: 5 },
        caption: { value: "Temp °C" },
        width: 200,
        height: 200
    });

    $('input').click(function () {
        var valeur = '0';

        if ($(this).attr('value') == 'On') {
            valeur = '1';
        }
        else if ($(this).attr('value') == 'Off') {
            valeur = '0';
        }

        $.ajax({
            url: 'scripts/chauffage.php',
            type: 'get',
            data: $(this).attr('name') + '=' + valeur,
            success: function () {
                // pour aller plus loin : création de message
            },
            timeout: delaiError,
            error: function () {
                // pour aller plus loin : gestion des erreurs
            },
        });
    })

    function loadMeasures() {
        $.ajax({
            url: 'scripts/temperature.php',
            type: 'get',
            success: function (data) {
                // Pour les tests
                $("#valtemperature").html(data); // Affichage de la valeur
                var temperature = parseInt(data) * 50 / 920; // Mise à l'échelle
                $('#jaugetemperature').jqxGauge({ value: temperature });
            },
            timeout: delaiError,
            error: function () {
                // pour aller plus loin : gestion des erreurs
            }
        })
    }

    loadMeasures(); // Exécuté une fois au chargement de la page

    setInterval(function () { // Boucle infinie, s'exécute
        loadMeasures() // toutes les 5s
    }, delaiMesure);

});